# Hedgedoc

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/hedegedoc/status.svg)](https://drone.autonomic.zone/coop-cloud/hedegedoc)

[Hedgedoc][hedegedoc] using Coöp Cloud ♥

<!-- metadata -->
* **Category**: Apps
* **Status**: 2, beta
* **Image**: [`quay.io/hedgedoc/hedgedoc:1.8.2`](https://quay.io/hedgedoc/hedgedoc:1.8.2), 4, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: 2
* **SSO**: 3 (OAuth)
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][compose-traefik]
3. `abra app new hedegedoc`
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Create initial user:
	```
	abra app YOURAPPDOMAIN run app bash
	. /docker-entrypoint2.sh -e
	bin/manage_users
	```

[hedegedoc]: https://github.com/hackmdio/hedegedoc
[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/coop-cloud/traefik
